/*=============================================================================
	utime.h : 

	Copyright © 2008 Bruno Santos <nayart3@gmail.com>
=============================================================================*/

#ifndef TCRT_UTIME__H_
#define TCRT_UTIME__H_

///////////////////////////////////////////////////////////////////////////////
#include "tcrt.h"
#include <time.h>

///////////////////////////////////////////////////////////////////////////////
TCRT_BEGIN_EXTERN_C

///////////////////////////////////////////////////////////////////////////////
typedef struct utimbuf {
	time_t actime;
	time_t modtime;
};

///////////////////////////////////////////////////////////////////////////////
int utime(const char *path, const struct utimbuf* times);

///////////////////////////////////////////////////////////////////////////////
TCRT_END_EXTERN_C

// EOF ////////////////////////////////////////////////////////////////////////
#endif /* TCRT_UTIME__H_ */
